<?php 
session_start();

require_once($_SERVER['DOCUMENT_ROOT'] . "/sys/access.php");

if(!$access->CheckLogin()){
  $access->RedirectToURL("/login/login.php");
  exit;
}

// Die check constant  
define("PUBLIC_ACCESS", 1);
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta http-equiv="Content-Language" content="en-us">
  <title>Project</title>
  <meta charset="utf-8">

  <link rel="stylesheet" href="/ext/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="/ext/bootstrap/bootstrap-theme.min.css">
  <link rel="stylesheet" href="/site/css/stickythead.css">
  <link rel="stylesheet" href="/site/css/bootstrap.css">
  <link rel="stylesheet" href="/site/css/multiselect.css">
  <link rel="stylesheet" href="/site/css/livesearch.css">
  <link rel="stylesheet" href="/site/css/style.css">

  <script src="/ext/jquery/jquery-3.1.1.min.js"></script>
  <script src="/ext/bootstrap/bootstrap.min.js"></script>
  <script src="/ext/jquery/jquery.stickytableheaders.min.js"></script>
  <script src="/site/js/main.js"></script>

</head>

<style>
  .btn {
    width:80px;    
  } 
  body {
    font-size:16px;
    font-weight:500;
    color:#000;
  }    
  
</style>  

<body>

<?php 

date_default_timezone_set("Canada/Eastern");

// Location of class definitions
$docRoot = $_SERVER['DOCUMENT_ROOT'];
$toolkit = $docRoot .  "/toolkit";

// UI Controls used
require_once ("$toolkit/inputhidden.php");
require_once ("$toolkit/selectoption.php");
require_once ("$toolkit/selectdate.php");
require_once ("$toolkit/selecthourmin.php");
require_once ("$toolkit/livesearch.php");
require_once ("$toolkit/summdetail.php");
require_once ("$toolkit/putbutton.php");
require_once ("$toolkit/putrequest.php");
  
// Controls instantiator and Menu generator 
require_once ("$docRoot/sys/init.php");
require_once ("$docRoot/sys/menu.php");
  
// Object definitions for the module
require_once ("$docRoot/project/model.php");
require_once ("$docRoot/project/view.php");

if (isset($_SESSION['project'])) 
  $pr_id = $_SESSION['project'];
else
  $pr_id = 0;
if (isset($_SESSION['parcel'])) 
  $pa_id = $_SESSION['parcel'];
else
  $pa_id = 0;
if (isset($_SESSION['projectworkday'])) 
  $pw_id = $_SESSION['projectworkday'];
else
  $pw_id = 0;
if (isset($_SESSION['loginworkday'])) 
  $lw_id = $_SESSION['loginworkday'];
else
  $lw_id = 0;
if (isset($_SESSION['workday'])) 
  $wo_id = $_SESSION['workday'];
else
  $wo_id = 0;
print_r ("pr:$pr_id pa:$pa_id pw:$pw_id lw:$lw_id wo:$wo_id");


// Instantiate the model and view
$project = new modProject($pw_id, $pr_id);
$projectView = new modProjectView($project);

// Insert html layout and javascript
echo $projectView->output();

?>

</body>
</html>

